// TextPropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "TextPropDlg.h"
#include "afxdialogex.h"


// CTextPropDlg 对话框

IMPLEMENT_DYNAMIC(CTextPropDlg, CDialogEx)

CTextPropDlg::CTextPropDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_DIALOG_PTEXT, pParent)
	, m_iShapeID(0)
	, m_bShow(FALSE)
	, m_sContent(_T(""))
{

}

CTextPropDlg::~CTextPropDlg()
{
}

void CTextPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_SHAPEID, m_iShapeID);
	DDX_Check(pDX, IDC_CHECK_PSHOW, m_bShow);
	DDX_Text(pDX, IDC_EDIT_PROP_LCONTENT, m_sContent);
}


BEGIN_MESSAGE_MAP(CTextPropDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CTextPropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CTextPropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CTextPropDlg 消息处理程序


void CTextPropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialogEx::OnOK();
}


void CTextPropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialogEx::OnCancel();
}
